Subject: A doubt on Gratious ARP - from Ulrich

From: Rajesh Naveen <[email-masked]>
Date: Mon, 14 May 2001 21:13:18 -0700 (PDT)

Hi,
I have a doubt.
In VRRP,we use Virtual IP(VIP) and Virtual MAC
address(VMAC).So all the
hosts on the network know that there is only one VIP
and VMAC.
Then what is the need of broadcasting gratuitous ARP
at all?

Thanks in advance,
Ulrich Prakash. 

__________________________________________________
Do You Yahoo!?
Yahoo! Auctions - buy the things you want at great prices
http://auctions.yahoo.com/

---

From: Thomas Dalton <[email-masked]>
Date: Tue, 15 May 2001 10:17:25 +0100

Ulrich,

Unfortunately hosts are not the only consideration here. On an
extended/switched VRRP LAN, bridges and switches also need to learn this
VMAC/IP mapping otherwise there will be a significant impact on the
bandwidth overhead of packets sent to the Virtual Router.

Unless your VRRP implementation sources VRRP packets from the MAC address of
the Virtual Router, learning bridges and switches wont update their MAC
address table entries unless periodic grat ARPs are sent from the VRRP
router in Master state.

I refer you to Section 2.5 of the VRRP RFC 2238.

Cheers,
Tom.

> -----Original Message-----
> From: Rajesh Naveen [mailto:[email-masked]]
> Sent: Tuesday, May 15, 2001 5:13 AM
> To: [email-masked]
> Subject: A doubt on Gratious ARP - from Ulrich
> 
> 
> Hi,
> I have a doubt.